unit uBookMark;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr> http://www.mars42.com    |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Document_Element_Object;


type

 TBookMark

 =

  class( TUNO_Document_Element_Object)

  private

  public

    constructor Create( _Document: Variant);

    constructor Create_From( _Document, _ole: Variant);
  //Name

  private

    function  GetName: String;

    procedure SetName( _Value: String);

  public

    property Name: String read GetName write SetName;

  end;


implementation

{ TBookMark }

constructor TBookMark.Create( _Document: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.Bookmark';
     inherited;
end;

constructor TBookMark.Create_From( _Document, _ole: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.Bookmark';
     inherited;
end;

function TBookMark.GetName: String;
begin
     Result:= ole.getName;
end;

procedure TBookMark.SetName( _Value: String);
begin
     ole.setName( _Value);
end;

end.

