unit uCoreReflection;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr> http://www.mars42.com    |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uServiceManager,

  uUNO_Object;

type
 TCoreReflection
 =
  class( TUNO_Object)
  public
    constructor Create;

    function forName( UNO_ClassName: String): Variant;
  end;

var
   CoreReflection: TCoreReflection;

implementation

{ TCoreReflection }

constructor TCoreReflection.Create;
begin
     UNO_ClassName:= 'com.sun.star.reflection.CoreReflection';
     inherited Create;
end;


function TCoreReflection.forName( UNO_ClassName: String): Variant;
begin
     Result:= ole.forName( UNO_ClassName);
end;

initialization
              CoreReflection:= TCoreReflection.Create;
finalization
            FreeAndNil( CoreReflection);
end.
