unit uPropertyValue;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr> http://www.mars42.com    |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Reflected_Object;


type

 TPropertyValue

 =

  class( TUNO_Reflected_Object)

  private

    procedure SetValue( Name: String; Value: Variant);

  public

    constructor Create;

    property TheValue[ Name: String]: Variant write SetValue; default;

  end;


implementation

{ TPropertyValue }

constructor TPropertyValue.Create;
begin
     UNO_ClassName:= 'com.sun.star.beans.PropertyValue';
     inherited Create;
end;

procedure TPropertyValue.SetValue(Name: String; Value: Variant);
begin
     ole.Name := Name ;
     ole.Value:= Value;
end;

end.
