unit uTextField_User;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr> http://www.mars42.com    |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Document_Element_Object,

  uFieldMaster_User;


type

 TTextField_User

 =

  class( TUNO_Document_Element_Object)

  private

  public

    constructor Create( _Document: Variant);

    constructor Create_From( _Document, _ole: Variant);


    procedure attachTextFieldMaster( FieldMaster: Variant); overload;

    procedure attachTextFieldMaster( FieldMaster: TFieldMaster_User); overload;

  end;


implementation

{ TTextField_User }

constructor TTextField_User.Create( _Document: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.TextField.User';
     inherited;
end;

constructor TTextField_User.Create_From(_Document, _ole: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.TextField.User';
     inherited;
end;

procedure TTextField_User.attachTextFieldMaster( FieldMaster: Variant);
begin
     ole.attachTextFieldMaster( FieldMaster)
end;

procedure TTextField_User.attachTextFieldMaster( FieldMaster: TFieldMaster_User);
begin
     attachTextFieldMaster( FieldMaster.ole);
end;

end.
