unit uUNO_Object;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,
  uUNO_ServiceManager;

type
 TUNO_Object
 =
  class
  protected
    //initialis par les descendant avant appel de TUNO_Object.Create
    UNO_ClassName: String;
  public
    ole: Variant;
    constructor Create;
    destructor Destroy; override;
  end;

implementation

{ TUNO_Object }

constructor TUNO_Object.Create;
begin
     inherited;
     ole:= UNO_ServiceManager.CreateInstance( UNO_ClassName);
end;

destructor TUNO_Object.Destroy;
begin
     VarClear( ole);
     inherited;
end;

end.
