unit uUNO_PropertyValue;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Reflected_Object;


type

 TUNO_PropertyValue

 =

  class( TUNO_Reflected_Object)

  private

    procedure SetValue( Name: String; Value: Variant);

  public

    constructor Create;

    property TheValue[ Name: String]: Variant write SetValue; default;

  end;


implementation

{ TUNO_PropertyValue }

constructor TUNO_PropertyValue.Create;
begin
     UNO_ClassName:= 'com.sun.star.beans.PropertyValue';
     inherited Create;
end;

procedure TUNO_PropertyValue.SetValue(Name: String; Value: Variant);
begin
     ole.Name := Name ;
     ole.Value:= Value;
end;

end.
