unit uUNO_TextField_User;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Document_Element_Object,

  uUNO_FieldMaster_User;


type

 TUNO_TextField_User

 =

  class( TUNO_Document_Element_Object)

  private

  public

    constructor Create( _Document: Variant);

    constructor Create_From( _Document, _ole: Variant);


    procedure attachTextFieldMaster( FieldMaster: Variant); overload;

    procedure attachTextFieldMaster( FieldMaster: TUNO_FieldMaster_User); overload;

  end;


implementation

{ TUNO_TextField_User }

constructor TUNO_TextField_User.Create( _Document: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.TextField.User';
     inherited;
end;

constructor TUNO_TextField_User.Create_From(_Document, _ole: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.TextField.User';
     inherited;
end;

procedure TUNO_TextField_User.attachTextFieldMaster( FieldMaster: Variant);
begin
     ole.attachTextFieldMaster( FieldMaster)
end;

procedure TUNO_TextField_User.attachTextFieldMaster( FieldMaster: TUNO_FieldMaster_User);
begin
     attachTextFieldMaster( FieldMaster.ole);
end;

end.
