unit utc_fOOoModelSelect;
{                                                                             |
    Part of program OpenOfficeTests                                           |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See OpenOfficeTests.dpr for full copyright notice.                        |
|                                                                             }

interface

uses
    SysUtils,
    TestFrameWork,
    ufOOoModelSelect;

type
 Ttc_fOOoModelSelect
 =
  class(TTestCase)
  private

  protected
  // Test methods
  published
    procedure TestExecute;
  end;

implementation

{ Ttc_fOOoModelSelect }

procedure Ttc_fOOoModelSelect.TestExecute;
var
   NomFichier: String;
begin
     NomFichier:= ExtractFilePath( ParamStr(0))+'ModeleTest.ott';
     Check( FileExists( NomFichier),
            'Le fichier de test doit tre cr au pralable'#13#10+NomFichier);

     fOOoModelSelect.Execute( ExtractFilePath( ParamStr(0)));
end;

initialization

  TestFramework.RegisterTest('utc_fOOoModelSelect Suite',
    Ttc_fOOoModelSelect.Suite);

end.
 