// Uncomment the following directive to create a console application
// or leave commented to create a GUI application... 
// {$APPTYPE CONSOLE}

program OpenOfficeTests;
{                                                                             |
    Tests for pOpenOfficeReport.dpk  and pOpenOffice.dpk                      |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    This library is free software; you can redistribute it and/or             |
    modify it under the terms of the GNU Lesser General Public                |
    License as published by the Free Software Foundation; either              |
    version 2 of the License, or (at your option) any later version.          |
                                                                              |
    This library is distributed in the hope that it will be useful,           |
    but WITHOUT ANY WARRANTY; without even the implied warranty of            |
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         |
    Lesser General Public License for more details.                           |
                                                                              |
    You should have received a copy of the GNU Lesser General Public          |
    License along with this library; if not, write to the Free Software       |
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
|                                                                             }

uses
  TestFramework {$IFDEF LINUX},
  QForms,
  QGUITestRunner {$ELSE},
  Forms,
  GUITestRunner {$ENDIF},
  TextTestRunner,
  utcOpenOffice in 'utcOpenOffice.pas',
  utcDeskTop in '..\pOpenOffice\dunit\utcDeskTop.pas',
  utcOOoDatasetPrinter in '..\pOpenOfficeReport\dunit\utcOOoDatasetPrinter.pas',
  utcOOoDatasetRowPrinter in '..\pOpenOfficeReport\dunit\utcOOoDatasetRowPrinter.pas',
  utcOOoTestCase in 'utcOOoTestCase.pas',
  utcOOoDetailPrinter in '..\pOpenOfficeReport\dunit\utcOOoDetailPrinter.pas',
  utcOOoDetailStringGridPrinter in '..\pOpenOfficeReport\dunit\utcOOoDetailStringGridPrinter.pas',
  utc_fOOoModelSelect in '..\pOpenOfficeReport\dunit\utc_fOOoModelSelect.pas',
  utcOOoMultiDetailPrinter in '..\pOpenOfficeReport\dunit\utcOOoMultiDetailPrinter.pas';

{$R *.RES}

begin
  Application.Initialize;

{$IFDEF LINUX}
  QGUITestRunner.RunRegisteredTests;
{$ELSE}
  if System.IsConsole then
    TextTestRunner.RunRegisteredTests
  else
    GUITestRunner.RunRegisteredTests;
{$ENDIF}

end.

