unit uControlCharacter;

interface

//PARAGRAPH_BREAK
const ControlCharacter_PARAGRAPH_BREAK = 0;
//Description
//    This control character starts a new paragraph.

//LINE_BREAK
const ControlCharacter_LINE_BREAK = 1;
//Description
//    This control character starts a new line in a paragraph.

//HARD_HYPHEN
const ControlCharacter_HARD_HYPHEN = 2;
//Description
//    This control character equals a dash but prevents this position from being hyphenated.

//SOFT_HYPHEN
const ControlCharacter_SOFT_HYPHEN = 3;
//Description
//    This control character defines a special position as a hyphenation point. If a word containing a soft hyphen must be split at the end of a line, then this position is preferred.

//HARD_SPACE
const ControlCharacter_HARD_SPACE = 4;
//Description
//    This control character is used to link two words and prevents this concatenation from being hyphenated. It is printed as a space.

//APPEND_PARAGRAPH
const ControlCharacter_APPEND_PARAGRAPH = 5;
//Description
//    This control character appends a new paragraph.

implementation

end.
