unit uUNO_BookMark;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Document_Element_Object;


type

 TUNO_BookMark

 =

  class( TUNO_Document_Element_Object)

  private

  public

    constructor Create( _Document: Variant);

    constructor Create_From( _Document, _ole: Variant);
  //Name

  private

    function  GetName: String;

    procedure SetName( _Value: String);

  public

    property Name: String read GetName write SetName;

  end;


implementation

{ TUNO_BookMark }

constructor TUNO_BookMark.Create( _Document: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.Bookmark';
     inherited;
end;

constructor TUNO_BookMark.Create_From( _Document, _ole: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.Bookmark';
     inherited;
end;

function TUNO_BookMark.GetName: String;
begin
     Result:= ole.getName;
end;

procedure TUNO_BookMark.SetName( _Value: String);
begin
     ole.setName( _Value);
end;

end.

