unit uUNO_CoreReflection;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_ServiceManager,

  uUNO_Object;

type
 TUNO_CoreReflection
 =
  class( TUNO_Object)
  public
    constructor Create;

    function forName( UNO_ClassName: String): Variant;
  end;

var
   UNO_CoreReflection: TUNO_CoreReflection;

implementation

{ TUNO_CoreReflection }

constructor TUNO_CoreReflection.Create;
begin
     UNO_ClassName:= 'com.sun.star.reflection.CoreReflection';
     inherited Create;
end;


function TUNO_CoreReflection.forName( UNO_ClassName: String): Variant;
begin
     Result:= ole.forName( UNO_ClassName);
end;

initialization
              UNO_CoreReflection:= TUNO_CoreReflection.Create;
finalization
            FreeAndNil( UNO_CoreReflection);
end.
