unit uUNO_Document_Element_Object;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_ServiceManager;


type
 TUNO_Document_Element_Object
 =
  class
  protected
    // initialis par les descendants avant appel de
    // TUNO_Document_Element_Object.Create
    UNO_ClassName: String;
  public
    Document: Variant;
    ole: Variant;
    constructor Create( _Document: Variant);
    constructor Create_From( _Document, _ole: Variant);
    destructor Destroy; override;
  end;

implementation

{ TUNO_Document_Element_Object }

constructor TUNO_Document_Element_Object.Create( _Document: Variant);
begin
     inherited Create;
     Document:= _Document;
     ole:= Document.CreateInstance( UNO_ClassName);
end;

constructor TUNO_Document_Element_Object.Create_From( _Document, _ole: Variant);
begin
     inherited Create;
     Document:= _Document;
     ole:= _ole;
end;

destructor TUNO_Document_Element_Object.Destroy;
begin
     VarClear( ole);
     inherited;
end;

end.
