unit uUNO_FieldMaster_User;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Document_Element_Object;


type

 TUNO_FieldMaster_User

 =

  class( TUNO_Document_Element_Object)

  private

  public

    constructor Create( _Document: Variant; _Name: String);

    constructor Create_From( _Document, _ole: Variant);

  //Name

  private

    function  GetName: String;

    procedure SetName( _Value: String);

  public

    property Name: String read GetName write SetName;

  //Value

  private

    function  GetValue: String;

    procedure SetValue( _Value: String);

  public

    property Value: String read GetValue write SetValue;

  //Content

  private

    function  GetContent: String;

    procedure SetContent( _Value: String);

  public

    property Content: String read GetContent write SetContent;

  end;


implementation

{ TUNO_FieldMaster_User }

constructor TUNO_FieldMaster_User.Create( _Document: Variant; _Name: String);
begin
     UNO_ClassName:= 'com.sun.star.text.FieldMaster.User';
     inherited Create( _Document);
     Name:= _Name;
end;

constructor TUNO_FieldMaster_User.Create_From(_Document, _ole: Variant);
begin
     UNO_ClassName:= 'com.sun.star.text.FieldMaster.User';
     inherited;
end;

function TUNO_FieldMaster_User.GetName: String;
begin
     Result:= ole.getPropertyValue( 'Name');
end;

procedure TUNO_FieldMaster_User.SetName( _Value: String);
begin
     ole.setPropertyValue( 'Name', _Value);
end;

function TUNO_FieldMaster_User.GetValue: String;
begin
     Result:= ole.getPropertyValue ( 'Value');
end;

procedure TUNO_FieldMaster_User.SetValue( _Value: String);
begin
     ole.setPropertyValue ( 'Value', _Value);
end;

function TUNO_FieldMaster_User.GetContent: String;
begin
     Result:= ole.getPropertyValue ( 'Content');
end;

procedure TUNO_FieldMaster_User.SetContent(_Value: String);
begin
     ole.setPropertyValue ( 'Content', _Value);
end;

end.
