unit uUNO_ParagraphStyle;
{                                                                             |
    Part of package pOpenOffice                                               |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOffice.dpk for full copyright notice.                            |
|                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComObj, Variants,

  uUNO_Document_Element_Object;


type

 TUNO_ParagraphStyle

 =

  class( TUNO_Document_Element_Object)

  private

  public

    constructor Create( _Document: Variant; _Name: String);

    constructor Create_From( _Document, _ole: Variant);

  end;


implementation

{ TUNO_ParagraphStyle }

constructor TUNO_ParagraphStyle.Create( _Document: Variant; _Name: String);
var
   StyleFamilies,
   ParagraphStyles: Variant;
begin
     UNO_ClassName:= 'com.sun.star.style.ParagraphStyle';
     inherited Create( _Document);
     StyleFamilies:= Document.StyleFamilies;
     ParagraphStyles:= StyleFamilies.getByName('ParagraphStyles');
     ParagraphStyles.insertByName( _Name, ole);
end;

constructor TUNO_ParagraphStyle.Create_From(_Document, _ole: Variant);
begin
     UNO_ClassName:= 'com.sun.star.style.ParagraphStyle';
     inherited;
end;


end.
