unit udllOpenOfficeReport_Register;
{                                                                             |
    Part of package pOpenOfficeReport                                         |
                                                                              |
    Author: Jean SUZINEAU <Jean.Suzineau@wanadoo.fr>                          |
            partly as freelance: http://www.mars42.com                        |
        and partly as employee : http://www.batpro.com                        |
    Contact: gilles.doutre@batpro.com                                         |
                                                                              |
    Copyright (C) 2004  Jean SUZINEAU - MARS42                                |
    Copyright (C) 2004  Cabinet Gilles DOUTRE - BATPRO                        |
                                                                              |
    See pOpenOfficeReport.dpk for full copyright notice.                      |
|                                                                             }

interface

implementation

uses
    Windows, SysUtils, Classes, Registry;

procedure Check_Registration;
var
   Reg: TRegistry;
   Buff: array[0..1024] of Char;
   FileName: String;
begin
     Reg:= TRegistry.Create;

     Reg.RootKey:= HKEY_CLASSES_ROOT;

     if not Reg.KeyExists( 'dllOpenOfficeAutomation.UNOPrintJobListener')
     then
         begin
         GetModuleFileName( HInstance, Buff, SizeOf(Buff));
         FileName
         :=
           ExtractFilePath( StrPas(Buff))+'dllOpenOfficeAutomation.dll';
         WinExec( PChar('RegSvr32 "'+FileName+'"'), SW_SHOWNORMAL);
         end;

     FreeAndNil( Reg);
end;

initialization
              Check_Registration;
end.
